# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgAnnotateDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgAnnotateDialog(object):
    def setupUi(self, HgAnnotateDialog):
        HgAnnotateDialog.setObjectName("HgAnnotateDialog")
        HgAnnotateDialog.resize(900, 800)
        HgAnnotateDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(HgAnnotateDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.annotateList = QtWidgets.QTreeWidget(parent=HgAnnotateDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(6)
        sizePolicy.setHeightForWidth(self.annotateList.sizePolicy().hasHeightForWidth())
        self.annotateList.setSizePolicy(sizePolicy)
        self.annotateList.setAlternatingRowColors(True)
        self.annotateList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.annotateList.setRootIsDecorated(False)
        self.annotateList.setItemsExpandable(False)
        self.annotateList.setObjectName("annotateList")
        self.annotateList.headerItem().setText(0, " ")
        self.annotateList.header().setStretchLastSection(False)
        self.vboxlayout.addWidget(self.annotateList)
        self.errorGroup = QtWidgets.QGroupBox(parent=HgAnnotateDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout1 = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout1.setObjectName("vboxlayout1")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout1.addWidget(self.errors)
        self.vboxlayout.addWidget(self.errorGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgAnnotateDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(HgAnnotateDialog)
        QtCore.QMetaObject.connectSlotsByName(HgAnnotateDialog)
        HgAnnotateDialog.setTabOrder(self.annotateList, self.errors)
        HgAnnotateDialog.setTabOrder(self.errors, self.buttonBox)

    def retranslateUi(self, HgAnnotateDialog):
        _translate = QtCore.QCoreApplication.translate
        HgAnnotateDialog.setWindowTitle(_translate("HgAnnotateDialog", "Mercurial Annotate"))
        self.annotateList.headerItem().setText(1, _translate("HgAnnotateDialog", "Revision"))
        self.annotateList.headerItem().setText(2, _translate("HgAnnotateDialog", "Changeset"))
        self.annotateList.headerItem().setText(3, _translate("HgAnnotateDialog", "Author"))
        self.annotateList.headerItem().setText(4, _translate("HgAnnotateDialog", "Date"))
        self.annotateList.headerItem().setText(5, _translate("HgAnnotateDialog", "Line"))
        self.errorGroup.setTitle(_translate("HgAnnotateDialog", "Errors"))
